%define upstream_name    HTML-Restrict
%define upstream_version v3.0.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Strip away unwanted HTML tags and attributes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moo) >= 1.2.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Quote)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Type::Tiny) >= 1.2.1
BuildRequires: perl(Types::Standard) >= 1.0.1
BuildRequires: perl(URI)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module uses _HTML::Parser_ to strip HTML from text in a restrictive
manner. By default all HTML is restricted. You may alter the default
behaviour by supplying your own tag rules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTORS Changes INSTALL LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Feb 15 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1523688
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 3.0.0-1.mga7
+ Revision: 1374502
- update to v3.0.0

* Sat Feb 09 2019 tv <tv> 2.5.0-1.mga7
+ Revision: 1364386
- update to v2.5.0

* Tue Feb 05 2019 tv <tv> 2.4.1-1.mga7
+ Revision: 1363465
- update to v2.4.1

* Tue Feb 05 2019 tv <tv> 2.4.0-1.mga7
+ Revision: 1363322
- update to v2.4.0

* Thu Sep 20 2018 umeabot <umeabot> 2.3.0-2.mga7
+ Revision: 1283969
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 shlomif <shlomif> 2.3.0-1.mga7
+ Revision: 1204936
- update to v2.3.0

* Mon Jul 31 2017 sander85 <sander85> 2.2.4-1.mga7
+ Revision: 1133312
- update to 2.2.4

* Sun Jun 19 2016 pterjan <pterjan> 2.2.2-3.mga6
+ Revision: 1028259
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 2.2.2-2.mga6
+ Revision: 966256
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 2.2.2-1.mga6
+ Revision: 843204
- update to 2.2.2

* Wed Oct 15 2014 umeabot <umeabot> 2.2.1-3.mga5
+ Revision: 745399
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.1-2.mga5
+ Revision: 684955
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 sander85 <sander85> 2.2.1-1.mga5
+ Revision: 665444
- update to 2.2.1

* Sat Aug 16 2014 sander85 <sander85> 2.2.0-1.mga5
+ Revision: 664248
- update to 2.2.0

* Tue Feb 04 2014 shlomif <shlomif> 2.1.9-1.mga5
+ Revision: 581186
- update to 2.1.9

* Sat Oct 19 2013 umeabot <umeabot> 2.1.8-2.mga4
+ Revision: 527664
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 2.1.8-1.mga4
+ Revision: 441604
- update to 2.1.8

* Sun Jan 13 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 368070
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 1.0.4-1.mga3
+ Revision: 335093
- imported package perl-HTML-Restrict


* Tue Dec 25 2012 cpan2dist 1.0.4-1mga
- initial mageia release, generated with cpan2dist
